scala.tools.ant

# ScalaMatchingTask

#### abstract class ScalaMatchingTask extends MatchingTask with ScalaTask

Source
  ScalaMatchingTask.scala

Linear Supertypes
ScalaTask, MatchingTask, SelectorContainer, Task, ProjectComponent, java.lang.Cloneable, AnyRef, Any
Known Subclasses
ClassloadVerify, FastScalac, Pack200Task, Same, ScalaTool, Scalac, ScalacFork, ScalacShared, Use
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. ScalaMatchingTask
2. ScalaTask
3. MatchingTask
4. SelectorContainer
5. Task
6. ProjectComponent
7. Cloneable
8. AnyRef
9. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new ScalaMatchingTask()

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from ScalaMatchingTask to any2stringadd[ScalaMatchingTask] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (ScalaMatchingTask, B)

   Implicit information
     This member is added by an implicit conversion from ScalaMatchingTask to ArrowAssoc[ScalaMatchingTask] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### def XsetIgnore(arg0: String): Unit

   Definition Classes
     MatchingTask

7. #### def XsetItems(arg0: String): Unit

   Definition Classes
     MatchingTask

8. #### def add(arg0: FileSelector): Unit

   Definition Classes
     MatchingTask → SelectorContainer

9. #### def addAnd(arg0: AndSelector): Unit

   Definition Classes
     MatchingTask → SelectorContainer

10. #### def addContains(arg0: ContainsSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

11. #### def addContainsRegexp(arg0: ContainsRegexpSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

12. #### def addCustom(arg0: ExtendSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

13. #### def addDate(arg0: DateSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

14. #### def addDepend(arg0: DependSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

15. #### def addDepth(arg0: DepthSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

16. #### def addDifferent(arg0: DifferentSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

17. #### def addFilename(arg0: FilenameSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

18. #### def addMajority(arg0: MajoritySelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

19. #### def addModified(arg0: ModifiedSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

20. #### def addNone(arg0: NoneSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

21. #### def addNot(arg0: NotSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

22. #### def addOr(arg0: OrSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

23. #### def addPresent(arg0: PresentSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

24. #### def addSelector(arg0: SelectSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

25. #### def addSize(arg0: SizeSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

26. #### def addType(arg0: TypeSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

27. #### def appendSelector(arg0: FileSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

28. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

29. #### final def bindToOwner(arg0: Task): Unit

    Definition Classes
      Task

30. #### def buildError(message: String): Nothing

    Generates a build error.

    Generates a build error. Error location will be the current task in the ant file.

    message

      A message describing the error.

    Attributes
      protected
    Definition Classes
      ScalaTask
    Exceptions thrown
      BuildException

      A build error exception thrown in every case.

31. #### def clone(): AnyRef

    Definition Classes
      ProjectComponent → AnyRef
    Annotations
      @throws( ... )

32. #### def createExclude(): NameEntry

    Definition Classes
      MatchingTask

33. #### def createExcludesFile(): NameEntry

    Definition Classes
      MatchingTask

34. #### def createInclude(): NameEntry

    Definition Classes
      MatchingTask

35. #### def createIncludesFile(): NameEntry

    Definition Classes
      MatchingTask

36. #### def createPatternSet(): PatternSet

    Definition Classes
      MatchingTask

37. #### def ensuring(cond: (ScalaMatchingTask) ⇒ Boolean, msg: ⇒ Any): ScalaMatchingTask

    Implicit information
      This member is added by an implicit conversion from ScalaMatchingTask to Ensuring[ScalaMatchingTask] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

38. #### def ensuring(cond: (ScalaMatchingTask) ⇒ Boolean): ScalaMatchingTask

    Implicit information
      This member is added by an implicit conversion from ScalaMatchingTask to Ensuring[ScalaMatchingTask] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

39. #### def ensuring(cond: Boolean, msg: ⇒ Any): ScalaMatchingTask

    Implicit information
      This member is added by an implicit conversion from ScalaMatchingTask to Ensuring[ScalaMatchingTask] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

40. #### def ensuring(cond: Boolean): ScalaMatchingTask

    Implicit information
      This member is added by an implicit conversion from ScalaMatchingTask to Ensuring[ScalaMatchingTask] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

41. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

42. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

43. #### def execute(): Unit

    Definition Classes
      Task
    Annotations
      @throws( ... )

44. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

45. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from ScalaMatchingTask to StringFormat[ScalaMatchingTask] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

46. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

47. #### def getDescription(): String

    Definition Classes
      ProjectComponent

48. #### def getDirectoryScanner(arg0: File): DirectoryScanner

    Attributes
      protected[org.apache.tools.ant.taskdefs]
    Definition Classes
      MatchingTask

49. #### final def getImplicitFileSet(): FileSet

    Attributes
      protected[org.apache.tools.ant.taskdefs]
    Definition Classes
      MatchingTask

50. #### def getLocation(): Location

    Definition Classes
      ProjectComponent

51. #### def getOwningTarget(): Target

    Definition Classes
      Task

52. #### def getProject(): Project

    Definition Classes
      ProjectComponent

53. #### def getRuntimeConfigurableWrapper(): RuntimeConfigurable

    Definition Classes
      Task

54. #### def getSelectors(arg0: Project): Array[FileSelector]

    Definition Classes
      MatchingTask → SelectorContainer

55. #### def getTaskName(): String

    Definition Classes
      Task

56. #### def getTaskType(): String

    Definition Classes
      Task

57. #### def getWrapper(): RuntimeConfigurable

    Attributes
      protected[org.apache.tools.ant]
    Definition Classes
      Task

58. #### def handleErrorFlush(arg0: String): Unit

    Attributes
      protected[org.apache.tools.ant]
    Definition Classes
      Task

59. #### def handleErrorOutput(arg0: String): Unit

    Attributes
      protected[org.apache.tools.ant]
    Definition Classes
      Task

60. #### def handleFlush(arg0: String): Unit

    Attributes
      protected[org.apache.tools.ant]
    Definition Classes
      Task

61. #### def handleInput(arg0: Array[Byte], arg1: Int, arg2: Int): Int

    Attributes
      protected[org.apache.tools.ant]
    Definition Classes
      Task
    Annotations
      @throws( classOf[java.io.IOException] )

62. #### def handleOutput(arg0: String): Unit

    Attributes
      protected[org.apache.tools.ant]
    Definition Classes
      Task

63. #### def hasSelectors(): Boolean

    Definition Classes
      MatchingTask → SelectorContainer

64. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

65. #### def init(): Unit

    Definition Classes
      Task
    Annotations
      @throws( ... )

66. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

67. #### final def isInvalid(): Boolean

    Attributes
      protected[org.apache.tools.ant]
    Definition Classes
      Task

68. #### def log(arg0: String, arg1: java.lang.Throwable, arg2: Int): Unit

    Definition Classes
      Task

69. #### def log(arg0: java.lang.Throwable, arg1: Int): Unit

    Definition Classes
      Task

70. #### def log(arg0: String, arg1: Int): Unit

    Definition Classes
      Task → ProjectComponent

71. #### def log(arg0: String): Unit

    Definition Classes
      Task → ProjectComponent

72. #### def maybeConfigure(): Unit

    Definition Classes
      Task
    Annotations
      @throws( ... )

73. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

74. #### final def notify(): Unit

    Definition Classes
      AnyRef

75. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

76. #### final def perform(): Unit

    Definition Classes
      Task

77. #### def reconfigure(): Unit

    Definition Classes
      Task

78. #### def selectorCount(): Int

    Definition Classes
      MatchingTask → SelectorContainer

79. #### def selectorElements(): java.util.Enumeration

    Definition Classes
      MatchingTask → SelectorContainer

80. #### def setCaseSensitive(arg0: Boolean): Unit

    Definition Classes
      MatchingTask

81. #### def setDefaultexcludes(arg0: Boolean): Unit

    Definition Classes
      MatchingTask

82. #### def setDescription(arg0: String): Unit

    Definition Classes
      ProjectComponent

83. #### def setExcludes(arg0: String): Unit

    Definition Classes
      MatchingTask

84. #### def setExcludesfile(arg0: File): Unit

    Definition Classes
      MatchingTask

85. #### def setFollowSymlinks(arg0: Boolean): Unit

    Definition Classes
      MatchingTask

86. #### def setIncludes(arg0: String): Unit

    Definition Classes
      MatchingTask

87. #### def setIncludesfile(arg0: File): Unit

    Definition Classes
      MatchingTask

88. #### def setLocation(arg0: Location): Unit

    Definition Classes
      ProjectComponent

89. #### def setOwningTarget(arg0: Target): Unit

    Definition Classes
      Task

90. #### def setProject(arg0: Project): Unit

    Definition Classes
      MatchingTask → ProjectComponent

91. #### def setRuntimeConfigurableWrapper(arg0: RuntimeConfigurable): Unit

    Definition Classes
      Task

92. #### def setTaskName(arg0: String): Unit

    Definition Classes
      Task

93. #### def setTaskType(arg0: String): Unit

    Definition Classes
      Task

94. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

95. #### def toString(): String

    Definition Classes
      AnyRef → Any

96. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

97. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

98. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

99. #### def →[B](y: B): (ScalaMatchingTask, B)

    Implicit information
      This member is added by an implicit conversion from ScalaMatchingTask to ArrowAssoc[ScalaMatchingTask] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from ScalaTask

### Inherited from MatchingTask

### Inherited from SelectorContainer

### Inherited from Task

### Inherited from ProjectComponent

### Inherited from java.lang.Cloneable

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from ScalaMatchingTask to any2stringadd[ScalaMatchingTask]

### Inherited by implicit conversion StringFormat from ScalaMatchingTask to StringFormat[ScalaMatchingTask]

### Inherited by implicit conversion Ensuring from ScalaMatchingTask to Ensuring[ScalaMatchingTask]

### Inherited by implicit conversion ArrowAssoc from ScalaMatchingTask to ArrowAssoc[ScalaMatchingTask]

### Ungrouped